Bug 34357 - Seg Fault in Apache 2 mod_jk.c
Seg Fault in Apache 2 mod_jk.c
Status: RESOLVED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
Sun Solaris
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-04-07 20:47 UTC by Glenn Nielsen
Modified: 2008-10-05 03:08 UTC (History)
0 users



Attachments
Patch to fix apache 2 mod_jk seg fault (942 bytes, patch)
2005-04-07 20:49 UTC, Glenn Nielsen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Glenn Nielsen 2005-04-07 20:47:48 UTC
This is for mod_jk 1.2.8 but the bug still exists in the HEAD of CVS.

t@12 (l@5) terminated by signal SEGV (no mapping at the fault address)
Current function is jk_translate
 2330                   !strcmp(r->main->handler, DIR_MAGIC_TYPE)) {
(/opt/SUNWspro/bin/dbx) where                                                
current thread: t@12
  [1] strcmp(0x14594a8, 0xfeba6b58, 0x0, 0x0, 0xfecf565c, 0x68747470), at 0xfee32d34
=>[2] jk_translate(r = 0x3016d8), line 2330 in "mod_jk.c"
  [3] ap_run_translate_name(0x3016d8, 0x30c7e8, 0x301810, 0x7efefeff, 0x0, 0x0),
at 0xa23d0

I will be attaching a patch.
Comment 1 Glenn Nielsen 2005-04-07 20:49:06 UTC
Created attachment 14646 [details]
Patch to fix apache 2 mod_jk seg fault
Comment 2 Glenn Nielsen 2005-04-09 17:42:43 UTC
Bug fix applied and committed to CVS.